summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov2011-09-04 13:29:49 +0200
committer Niels Horn2011-09-04 13:29:49 +0200
commit776abd8e685f6f33553a143fa83645178842eb75 (patch)
tree0855132472cd1d548dd415449e8058bfd48b5fb3 /academic
parentbb2dfa6f86fe328a54249df007ab1eb2f2d7852f (diff)
downloadslackbuilds-776abd8e685f6f33553a143fa83645178842eb75.tar.gz
academic/spidey: Added (mRNA-to-genomic alignment)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/spidey/README9
-rw-r--r--academic/spidey/slack-desc19
-rw-r--r--academic/spidey/spidey.SlackBuild45
-rw-r--r--academic/spidey/spidey.info10
4 files changed, 83 insertions, 0 deletions
diff --git a/academic/spidey/README b/academic/spidey/README
new file mode 100644
index 0000000000..0912181c25
--- /dev/null
+++ b/academic/spidey/README
@@ -0,0 +1,9 @@
+Spidey is an mRNA-to-genomic alignment program. For a complete
+description of how Spidey works, visit
+http://www.ncbi.nlm.nih.gov/spidey/spideydoc.html.
+
+This is just repackaging of the ready binary for x86 and will not run
+on x86_64. It will probably work just fine on a Slackware multilib
+box, but we do not support that ;). If you want to build spidey from
+source, you should download and compile the NCBI toolkit. For more
+information: http://www.ncbi.nlm.nih.gov/spidey/spideysource.html
diff --git a/academic/spidey/slack-desc b/academic/spidey/slack-desc
new file mode 100644
index 0000000000..fb74b8cb23
--- /dev/null
+++ b/academic/spidey/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+spidey: spidey (mRNA-to-genomic alignment)
+spidey:
+spidey: Spidey is an mRNA-to-genomic alignment program.
+spidey:
+spidey:
+spidey:
+spidey:
+spidey:
+spidey:
+spidey:
+spidey: Home: http://www.ncbi.nlm.nih.gov/spidey/index.html \ No newline at end of file
diff --git a/academic/spidey/spidey.SlackBuild b/academic/spidey/spidey.SlackBuild
new file mode 100644
index 0000000000..afe96d9c20
--- /dev/null
+++ b/academic/spidey/spidey.SlackBuild
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+# Slackware build script for spidey
+# Written by Petar Petrov, <ppetrov@paju.oulu.fi> and
+# hereby submitted to the public domain
+
+# THIS SLACKBUILD IS DISTRIBUTETD IN THE HOPE OF BEING
+# USEFUL BUT WITHOUT ANY WARRANTY. THE AUTHOR IS _NOT_
+# RESPONSIBLE FOR ANY DAMAGE OR DATA LOSS CAUSED BY IT.
+
+PRGNAM=spidey
+VERSION=${VERSION:-20060601}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=i386
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+gunzip -c $CWD/$PRGNAM.linux.gz > spidey
+
+install -D -m755 spidey $PKG/usr/bin/spidey
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/spidey/spidey.info b/academic/spidey/spidey.info
new file mode 100644
index 0000000000..cd921824cd
--- /dev/null
+++ b/academic/spidey/spidey.info
@@ -0,0 +1,10 @@
+PRGNAM="spidey"
+VERSION="20060601"
+HOMEPAGE="http://www.ncbi.nlm.nih.gov/spidey/index.html"
+DOWNLOAD="ftp://ftp.ncbi.nih.gov/pub/wheelan/Spidey/spidey.linux.gz"
+MD5SUM="2e56ef2e4fcf57eca266fb1b3bb56c7e"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64="UNSUPPORTED"
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
+APPROVED="Niels Horn"